| Home · All Classes · All Namespaces · Modules · Functions · Files

# ClientObserverAdaptor Class Reference

`#include <TelepathyQt4/client-registrar-internal.h>`

List of all members.

## Public Slots

- void ObserveChannels (const QDBusObjectPath &account, const QDBusObjectPath &connection, const Tp::ChannelDetailsList &channels, const QDBusObjectPath &dispatchOperation, const Tp::ObjectPathList &requestsSatisfied, const QVariantMap &observerInfo, const QDBusMessage &message)

## Public Member Functions

- Tp::ChannelClassList ObserverChannelFilter () const

## Member Function Documentation

Tp::ChannelClassList ObserverChannelFilter | ( |  | ) | const`[inline]`

void ObserveChannels | ( | const QDBusObjectPath & | account,
|  | const QDBusObjectPath & | connection,
|  | const Tp::ChannelDetailsList & | channels,
|  | const QDBusObjectPath & | dispatchOperation,
|  | const Tp::ObjectPathList & | requestsSatisfied,
|  | const QVariantMap & | observerInfo,
|  | const QDBusMessage & | message |
| ) |  |  | `[slot]`